
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');

	var erro=0;
	var msg='\nPreencha os seguintes campos:\n';

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VALIDANDO DATA DA MATRICULA */
	if(isEmpty(document.getElementById('form_dataMatricula').value))
	{
		msg+='\n -> Deferido';
        if(erro==0)
	        document.getElementById('form_dataMatricula').focus();
        erro=1;
	}

	/* VALIDANDO NOME DO ALUNO */
	if(isEmpty(document.getElementById('form_nomeAluno').value))
	{
		msg+='\n -> Nome Completo do Aluno';

		changeBack('l_nomeAluno','form_nomeAluno','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeAluno').focus();
        erro=1;
	}

	/* VALIDANDO SEXO */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_sexoAluno.length; i++) {
    	if (document.InclusaoMatricula.form_sexoAluno[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if (res == 0) {
		msg+='\n -> Sexo';
		erro=1;

		changeBack('l_sexoAluno',null,'label_alert','field_alert');
	}

	/* VALIDANDO DATA DE NASCIMENTO DO ALUNO */
	if(isEmpty(document.getElementById('form_dataNascimentoAluno').value))
	{
		msg+='\n -> Data de Nascimento';

		changeBack('l_dataNascimentoAluno','form_dataNascimentoAluno','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_dataNascimentoAluno').focus();
        erro=1;
	}

	/* VALIDANDO NUMERO DO INEP DO ALUNO */
	/*if (!isInteger(document.getElementById('form_inepAluno').value))
	{
		if(!isEmpty(document.getElementById('form_inepAluno').value))
		{
			msg+='\n -> Numero ID INEP somente pode conter d�gitos';
        }
        else
        {
        	msg+='\n-> Numero ID INEP';
        }
        if(erro==0)
	        document.getElementById('form_inepAluno').focus();
        erro=1;
	}*/

	/* VALIDANDO NACIONALIDADE DO ALUNO */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_nacionalidadeAluno.length; i++) {
    	if (document.InclusaoMatricula.form_nacionalidadeAluno[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Nacionalidade do Aluno(a)';
		erro=1;

		changeBack('l_nacionalidadeAluno',null,'label_alert','field_alert');
	}

	/*------------------------------------------------------------------------
	        				CAMPOS DA CERTIDAO CIVIL
	-------------------------------------------------------------------------
	 SOMENTE QUANDO FOR NACIONALIDADE BRASILEIRA
	-------------------------------------------------------------------------*/
	if (document.getElementsByName('form_nacionalidadeAluno')[0].checked &&
		document.getElementsByName('form_nacionalidadeAluno')[0].value == '1')
	{
		/* VALIDANDO CART�RIO */
		if(isEmpty(document.getElementById('form_certidaoNascimentoCartorio').value))
		{
			msg+='\n -> Cartorio';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoCartorio').focus();
	        erro=1;

			changeBack('l_certidaoNascimentoCartorio','form_certidaoNascimentoCartorio','label_alert','field_alert');
		}
		/* TERMO */
		if(isEmpty(document.getElementById('form_certidaoNascimentoTermo').value))
		{
			msg+='\n -> Termo';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoTermo').focus();
	        erro=1;

			changeBack('l_certidaoNascimentoTermo','form_certidaoNascimentoTermo','label_alert','field_alert');
		}
		/* FOLHA */
		if(isEmpty(document.getElementById('form_certidaoNascimentoFolha').value))
		{
			msg+='\n -> Folha';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoFolha').focus();
	        erro=1;

   			changeBack('l_certidaoNascimentoFolha','form_certidaoNascimentoFolha','label_alert','field_alert');
		}
		/* LIVRO */
		if(isEmpty(document.getElementById('form_certidaoNascimentoLivro').value))
		{
			msg+='\n -> Livro';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoLivro').focus();
	        erro=1;

   			changeBack('l_certidaoNascimentoLivro','form_certidaoNascimentoLivro','label_alert','field_alert');
		}
		/* UF */
		if(isEmpty(document.getElementById('form_certidaoNascimentoEstado').value))
		{
			msg+='\n -> UF (Certidao Civil)';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoEstado').focus();
	        erro=1;

   			changeBack('l_certidaoEstado','form_certidaoNascimentoEstado','label_alert','field_alert');
		}
		/* TIPO */
		if(isEmpty(document.getElementById('form_certidaoTipo').value))
		{
			msg+='\n -> Tipo (Certidao Civil)';
	        if(erro==0)
		        document.getElementById('form_certidaoTipo').focus();
	        erro=1;

   			changeBack('l_certidaoTipo','form_certidaoTipo','label_alert','field_alert');
		}
		/* DATA DE EMISSAO */
		if(isEmpty(document.getElementById('form_certidaoNascimentoEmissao').value))
		{
			msg+='\n -> Data de Emissao';
	        if(erro==0)
		        document.getElementById('form_certidaoNascimentoEmissao').focus();
	        erro=1;

   			changeBack('l_certidaoNascimentoEmissao','form_certidaoNascimentoEmissao','label_alert','field_alert');
		}
		/* COMPROVADO */
		res = 0;
		for(i = 0; i < document.InclusaoMatricula.form_certidaoApresentada.length; i++) {
	    	if (document.InclusaoMatricula.form_certidaoApresentada[i].checked) {
	    		res = 1;
	    		break;
	    	}
		}
		if(res==0)
		{
			msg += '\n -> Comprovado (Certidao Civil)';
			erro=1;
 			changeBack('l_certidaoApresentada',null,'label_alert','field_alert');
		}
	}
	/*------------------------------ END -------------------------------------*/


	/*------------------------------------------------------------------------
	        				OUTROS DOCUMENTOS
	-------------------------------------------------------------------------*/

	// NOTHING

	/*------------------------------ END -------------------------------------*/


	/*------------------------------------------------------------------------
	        				TIPO DE NECESSIDADE
	-------------------------------------------------------------------------*/
	/* COMPROVADO */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_especialAluno.length; i++) {
    	if (document.InclusaoMatricula.form_especialAluno[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Portador de Necessidades Especiais';
		erro=1;
		changeBack('l_especialAluno',null,'label_alert','field_alert');
	}

	/* VALIDANDO TIPO DE NECESSIDADE ESPECIAL CASO SEJA SIM */
	if (document.getElementsByName('form_especialAluno')[0].checked)
	{
		res = 0;
		for(i = 0; i < document.InclusaoMatricula.form_tipoNecessidadeEspecial.length; i++) {
	    	if (document.InclusaoMatricula.form_tipoNecessidadeEspecial[i].checked) {
	    		res = 1;
	    		break;
	    	}
		}
		if(res==0)
		{
			msg += '\n -> Deficiencia';
			erro=1;
			changeBack('l_tipoNecessidadeEspecial',null,'label_alert','field_alert');
		}
	}

	/* VALIDANDO COR/RA�A */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_corRacaAluno.length; i++) {
    	if (document.InclusaoMatricula.form_corRacaAluno[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Cor/Raca';
		erro=1;

		changeBack('l_corRacaAluno',null,'label_alert','field_alert');
	}

	/* VALIDANDO BOLSA FAMILIA */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_bolsaFamilia.length; i++) {
    	if (document.InclusaoMatricula.form_bolsaFamilia[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> A Familia e Beneficiaria do Bolsa-Familia';
		erro=1;

		changeBack('l_bolsaFamilia',null,'label_alert','field_alert');
	}
	/*------------------------------ END -------------------------------------*/

	/*------------------------------------------------------------------------
	        				DADOS SOBRE OS PAIS/RESPONS�VEIS
	-------------------------------------------------------------------------*/
	/* VALIDANDO NOMES DE PAI, MAE E RESPONSAVEL */
	if( isEmpty(document.getElementById('form_nomePai').value) &&
		isEmpty(document.getElementById('form_nomeMae').value) &&
		isEmpty(document.getElementById('form_nomeResponsavel').value)
	  )
	{
		msg+='\n -> Nome do Pai, Mae ou Responsavel';
        if(erro==0)
	        document.getElementById('form_nomePai').focus();

		erro=1;

		changeBack('l_nomePai','form_nomePai','label_alert','field_alert');
		changeBack('l_nomeMae','form_nomeMae','label_alert','field_alert');
		changeBack('l_nomeResponsavel','form_nomeResponsavel','label_alert','field_alert');
	}

	/* VALIDANDO QUEM FEZ A MATRICULA */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_responsavelMatricula.length; i++) {
    	if (document.InclusaoMatricula.form_responsavelMatricula[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Quem Fez a Matricula';
		erro=1;
		changeBack('l_responsavelMatricula',null,'label_alert','field_alert');
	}

	/* VALIDA��O CRUZADA COM PREENCHIMENTOS DE CAMPOS DE PAI, MAE E RESPONSAVEL */

	/* SE CAMPO QUEM FEZ A MATRICULA ESTIVER COM PAI */
	if ( document.getElementsByName('form_responsavelMatricula')[0].checked )
	{
		/* VALIDANDO RADIO BUTTON DOS TIPOS DE DOCUMENTOS */
		res = 0;
		for(i = 0; i < document.InclusaoMatricula.form_tipoDocIdPai.length; i++) {
	    	if (document.InclusaoMatricula.form_tipoDocIdPai[i].checked) {
	    		res = 1;
	    		break;
	    	}
		}

		/* VALIDANDO SE NUMERO DE DOCUMENTO E TIPOS NAO FORAM INFORMADOS */
		if( isEmpty(document.getElementById('form_numDocIdPai').value) ||
			isEmpty(document.getElementById('form_nomePai').value)     ||
			res == 0 )
		{
			var msg1 = '';
			if ( isEmpty(document.getElementById('form_nomePai').value) )
			{
				msg1 += '\n -> Nome do Pai';

				changeBack('l_nomePai','form_nomePai','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_nomePai').focus();
			}
			if(res==0)
			{
				msg1 += '\n -> Documento do Pai';

				changeBack('l_tipoDocIdPai',null,'label_alert','field_alert');
			}
			if(isEmpty(document.getElementById('form_numDocIdPai').value))
			{
				msg1 += '\n -> Numero do Documento de Identificacao do Pai';

				changeBack('l_numDocIdPai','form_numDocIdPai','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_numDocIdPai').focus();
			}
			msg += msg1;
			erro=1;
		}
	}

	/* SE CAMPO QUEM FEZ A MATRICULA ESTIVER COM MAE */
	if ( document.getElementsByName('form_responsavelMatricula')[1].checked )
	{
		/* VALIDANDO RADIO BUTTON DOS TIPOS DE DOCUMENTOS */
		res = 0;
		for(i = 0; i < document.InclusaoMatricula.form_tipoDocIdMae.length; i++) {
	    	if (document.InclusaoMatricula.form_tipoDocIdMae[i].checked) {
	    		res = 1;
	    		break;
	    	}
		}

		/* VALIDANDO SE NUMERO DE DOCUMENTO E TIPOS NAO FORAM INFORMADOS */
		if( isEmpty(document.getElementById('form_numDocIdMae').value) ||
			isEmpty(document.getElementById('form_nomeMae').value)     ||
			res == 0 )
		{
			var msg1 = '';
			if (isEmpty(document.getElementById('form_nomeMae').value))
			{
				msg1 += '\n -> Nome da Mae';

				changeBack('l_nomeMae','form_nomeMae','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_nomeMae').focus();
			}
			if(res==0)
			{
				msg1 += '\n -> Documento do Mae';

				changeBack('l_tipoDocIdMae',null,'label_alert','field_alert');
			}
			if(isEmpty(document.getElementById('form_numDocIdMae').value))
			{
				msg1 += '\n -> Numero do Documento de Identificacao da Mae';

				changeBack('l_numDocIdMae','form_numDocIdMae','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_numDocIdMae').focus();
			}
			msg += msg1;
			erro=1;
		}
	}

	/* SE CAMPO QUEM FEZ A MATRICULA ESTIVER COM RESPONSAVEL */
	if ( document.getElementsByName('form_responsavelMatricula')[2].checked )
	{
		/* VALIDANDO RADIO BUTTON DOS GRAUS DE PARENTESCOS */
		res1 = 0;
		for(i = 0; i < document.InclusaoMatricula.form_grauParentescoResponsavel.length; i++) {
	    	if (document.InclusaoMatricula.form_grauParentescoResponsavel[i].checked) {
	    		res1 = 1;
	    		break;
	    	}
		}
		/* VALIDANDO RADIO BUTTON DOS TIPOS DE DOCUMENTOS */
		res2 = 0;
		for(i = 0; i < document.InclusaoMatricula.form_tipoDocIdResponsavel.length; i++) {
	    	if (document.InclusaoMatricula.form_tipoDocIdResponsavel[i].checked) {
	    		res2 = 1;
	    		break;
	    	}
		}

		/* VALIDANDO SE NUMERO DE DOCUMENTO E TIPOS NAO FORAM INFORMADOS */
		if( isEmpty(document.getElementById('form_numDocIdResponsavel').value) ||
			isEmpty(document.getElementById('form_nomeResponsavel').value)	   ||
			res1 == 0 || res2 == 0 )
		{
			var msg1 = '';
			if ( isEmpty(document.getElementById('form_nomeResponsavel').value) )
			{
				msg1+='\n -> Nome do Responsavel';

				changeBack('l_nomeResponsavel','form_nomeResponsavel','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_nomeResponsavel').focus();
			}
			if (res1==0)
			{
				msg1 += '\n -> Grau de Parentesco do Responsavel';

				changeBack('l_grauParentescoResponsavel',null,'label_alert','field_alert');
			}
			if (res2==0)
			{
				msg1 += '\n -> Documento do Responsavel';

				changeBack('l_tipoDocIdResponsavel',null,'label_alert','field_alert');
			}
			if (isEmpty(document.getElementById('form_numDocIdResponsavel').value))
			{
				msg1 += '\n -> Numero do Documento de Identificacao do Responsavel';

				changeBack('l_numDocIdResponsavel','form_numDocIdResponsavel','label_alert','field_alert');

		        if(erro==0)
			        document.getElementById('form_numDocIdResponsavel').focus();
			}
			msg += msg1;
			erro=1;
		}
	}
	/*------------------------------ END -------------------------------------*/

	/*------------------------------------------------------------------------
						VALIDANDO DADOS DE ENDERE�O DE ALUNO
	-------------------------------------------------------------------------*/
	if( isEmpty(document.getElementById('form_logradouroTipoAluno').value) )
	{
		msg+='\n -> Tipo (logradouro)';
		changeBack('l_logradouroTipoAluno','form_logradouroTipoAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroTipoAluno').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroNomeAluno').value) )
	{
		msg+='\n -> Logradouro';
		changeBack('l_logradouroNomeAluno','form_logradouroNomeAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroNomeAluno').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroNumeroAluno').value) )
	{
		msg+='\n -> Numero';
		changeBack('l_logradouroNumeroAluno','form_logradouroNumeroAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroNumeroAluno').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroUfAluno').value) )
	{
		msg+='\n -> UF';
		changeBack('l_logradouroUfAluno','form_logradouroUfAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroUfAluno').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroCidadeAluno').value) )
	{
		msg+='\n -> Cidade';
		changeBack('l_logradouroCidadeAluno','form_logradouroCidadeAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroCidadeAluno').focus();
        erro=1;
	}

	/*if( isEmpty(document.getElementById('form_logradouroBairroAluno').value) )
	{
		msg+='\n -> Bairro';
        if(erro==0)
	        document.getElementById('form_logradouroBairroAluno').focus();
        erro=1;
	}*/

	if( isEmpty(document.getElementById('form_logradouroCepAluno').value) )
	{
		msg+='\n -> CEP';
		changeBack('l_logradouroCepAluno','form_logradouroCepAluno','label_alert','field_alert');
        if(erro==0)
	        document.getElementById('form_logradouroCepAluno').focus();
        erro=1;
	}


	if( isEmpty(document.getElementById('form_logradouroGeoiguacuAluno').value) && document.getElementById('form_logradouroNaoCadastrado').checked==false )
	{
		msg+='\n -> Numero do Cadastro de Imovel GeoIguacu ou \nLogradouro ou imovel nao cadastrado';

		changeBack('l_logradouroGeoiguacuAluno','form_logradouroGeoiguacuAluno','label_alert','field_alert');
		changeBack('l_logradouroNaoCadastrado',null,'label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_logradouroGeoiguacuAluno').focus();
        erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroGeoiguacuJustificativa').value) && document.getElementById('form_logradouroNaoCadastrado').checked==true )
	{
		msg+='\n -> Justificativa (Logradouro Nao Cadastrado)';

		changeBack('l_logradouroGeoiguacuJustificativa','form_logradouroGeoiguacuJustificativa','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_logradouroGeoiguacuJustificativa').focus();
        erro=1;
	}
	/*------------------------------ END -------------------------------------*/

	/*------------------------------------------------------------------------
						VALIDANDO INFORMA��ES COMPLEMENTARES
	-------------------------------------------------------------------------*/
	/* VALIDANDO RADIO BUTTON DE TURNO ESCOLAR CURSADO NO ANO ANTERIOR */
/*	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_turnoAnterior.length; i++) {
    	if (document.InclusaoMatricula.form_turnoAnterior[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Turno - Escola Cursada no ano passado';
		erro=1;
	}
*/
	/* VALIDANDO RADIO BUTTON DE HI NO ANO ANTERIOR */
/*	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_horarioIntegralAnterior.length; i++) {
    	if (document.InclusaoMatricula.form_horarioIntegralAnterior[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Participou do HI no ano passado';
		erro=1;
	}
*/
	/* VALIDANDO ESCOLA DE PREFERENCIA NO PROXIMO ANO */
/*	if(document.getElementById('form_codigoEscolaPreferencia').value == '-1')
	{
		msg+='\n -> Escola - Preferencias para o Proximo Ano';
     	if(erro==0)
      		document.getElementById('form_codigoEscolaPreferencia').focus();
     	erro=1;
	}
*/
	/* VALIDANDO RADIO BUTTON DE TURNO DE PREFERENCIA NO ANO ATUAL */
/*	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_turnoPreferencia.length; i++) {
    	if (document.InclusaoMatricula.form_turnoPreferencia[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Turno de Preferencia';
		erro=1;
	}
*/
	/* VALIDANDO RADIO BUTTON DE HI NO ANO ATUAL */
/*	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_desejaHorarioIntegral.length; i++) {
    	if (document.InclusaoMatricula.form_desejaHorarioIntegral[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Desejaria Participar do Horario Integral no proximo ano';
		erro=1;
	}
*/
	/* VALIDANDO RADIO BUTTON DE ANO ESCOLAR A SER CURSADO OU MATRICULADO ???? */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_escolaridadeMatricula.length; i++) {
    	if (document.InclusaoMatricula.form_escolaridadeMatricula[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Ano em Curso';
		erro=1;
		changeBack('l_escolaridadeMatricula',null,'label_alert','field_alert');
	}

	/* VALIDANDO SE ALUNO PRECISA DE PASSE ESCOLAR */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_alunoNecessitaPasseEscolar.length; i++) {
    	if (document.InclusaoMatricula.form_alunoNecessitaPasseEscolar[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Aluno Necessita de Passe Escolar';
		erro=1;
		changeBack('l_alunoNecessitaPasseEscolar',null,'label_alert','field_alert');
	}

	/* VALIDANDO SE RESPONSAVEL PRECISA DE PASSE ESCOLAR */
	res = 0;
	for(i = 0; i < document.InclusaoMatricula.form_responsavelNecessitaPasseEscolar.length; i++) {
    	if (document.InclusaoMatricula.form_responsavelNecessitaPasseEscolar[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Responsavel Necessita de Passe Escolar';
		erro=1;
		changeBack('l_responsavelNecessitaPasseEscolar',null,'label_alert','field_alert');
	}

	/* VALIDANDO SE POSSUI IRMAOS MATRICULADOS */
	res = -1;
	for (i = 0; i < document.InclusaoMatricula.form_possuiIrmaoEscolaMunicipal.length; i++) {
    	if (document.InclusaoMatricula.form_possuiIrmaoEscolaMunicipal[i].checked) {
    		res = i;
    		break;
    	}
	}
	if (res!=-1 && document.InclusaoMatricula.form_possuiIrmaoEscolaMunicipal[i].value==1)
	{
		if ( isEmpty(document.getElementById('form_nomeIrmao1').value) &&
			 isEmpty(document.getElementById('form_nomeIrmao2').value) &&
			 isEmpty(document.getElementById('form_nomeIrmao3').value) &&
			 isEmpty(document.getElementById('form_nomeIrmao4').value) &&
			 isEmpty(document.getElementById('form_nomeIrmao5').value)
		)
		{
			msg+='\n -> Pelo menos um campo Nome Completo do Irmao';
        	if(erro==0)
	        	document.getElementById('form_nomeIrmao1').focus();
        	erro=1;
		}
	}

/*	if ( isEmpty(document.getElementById('form_nomeIrmao5').value) )
		{
			msg+='\n -> TESTE';
        	if(erro==0)
	        	document.getElementById('form_nomeIrmao1').focus();
        	erro=1;
		}
*/
	if(erro==0)
		return true;
	else
	{
		alert(msg);
		return false;
	}
}